%define oname   oauth2

Name:       ruby-%{oname}
Version:    0.3.0
Release:    %mkrel 1
Summary:    A Ruby wrapper for the OAuth 2.0 protocol
License:    MIT
Group:      Development/Ruby
URL:        http://github.com/intridea/oauth2
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(json_pure) >= 1.4.6
BuildRequires: rubygem(rake)
BuildRequires: rubygem(rcov)
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(multi_json)
BuildRequires: rubygem(faraday)
BuildRequires: rubygem(ZenTest)
BuildRequires: rubygem(bundler)
BuildRequires: rubygem(simplecov)
BuildRequires: git
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
A Ruby wrapper for the OAuth 2.0 protocol built with a similar style to the
original OAuth gem.

%files
%defattr(-, root, root, -)
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
rake spec

%clean
rm -rf %{buildroot}



%changelog
* Sun Apr 17 2011 shikamaru <shikamaru> 0.3.0-1.mga1
+ Revision: 86958
- new version 0.3.0

* Sat Apr 16 2011 shikamaru <shikamaru> 0.2.0-1.mga1
+ Revision: 86446
- fix BR
- new version 0.2.0 - add br and fix testsuite

* Wed Feb 16 2011 shikamaru <shikamaru> 0.1.1-1.mga1
+ Revision: 52086
- fix BR
- imported package ruby-oauth2


* Tue Feb 15 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.1.1-1.mga1
- Apply new ruby policy
- Apply general mageia rules
- New version 0.1.1

* Mon Dec 20 2010 Rémy Clouard <shikamaru@mandriva.org> 0.0.13-1mdv2011.0
+ Revision: 623512
- import rubygem-oauth2

